using System;
using Infragistics.Windows.DataPresenter.Events;

internal sealed class Delegate514 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<RecordsDeletedEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<RecordsDeletedEventArgs> eventHandler_0, Delegate514 delegate514_1)
	{
		delegate514_1(object_0, eventHandler_0);
	}

	public extern Delegate514(object object_0, IntPtr intptr_0);

	static Delegate514()
	{
		Class10.smethod_13(typeof(Delegate514).TypeHandle);
	}

	internal static Delegate514 delegate514_0;
}
